<?php
//error_reporting(0);
//	set_time_limit(0);
/*
Plugin Name: Price Table
Description: Display Price Table. <em>You can reach the author at <a href="mailto:mail@tretanz.com">Tretanz.com</a></em>.
Version: 1.0.0
Author: <a href="http://www.tretanz.com" target="_blank">Jay Patel</a>
*
*/
function my_plugin_options() {
	 if ( !current_user_can( 'manage_options' ) )  {
	  wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	 }
	echo '<div class="wrap">';
	echo '<h1>Price Table</h1>';
	echo '<h2>Example:</h2>';
	echo '<h3>Note: Please Use following shortcode with FULL WIDTH PAGE or PAGE TEMPLATE.</h3>';
	echo '<pre><code>[price_table_holder]

[plan_detail]
[pdoption title="Contact Management" class="icon-book"][/pdoption]
[pdoption title="Marketing Automation" class="icon-volume-up"][/pdoption]
[pdoption title="Sales Automation" class="icon-bar-chart"][/pdoption]
[pdoption title="E-Commerce" class="icon-shopping-cart"][/pdoption]
[pdoption title="Contacts" class="icon-phone"][/pdoption]
[pdoption title="Emails/mo." class="icon-envelope"][/pdoption]
[pdoption title="Users" class="icon-user"][/pdoption]
[/plan_detail]

[plan tooltip="Entry Level" name="Essentials" price="199" duration="Monthly" btn=""]
[poption class="available"][/poption][
poption class="available"][/poption]
[poption class="not-available"][/poption]
[poption class="not-available"][/poption]
[poption title="2,500"][/poption]
[poption title="12,500"][/poption]
[poption title="3"][/poption]
[/plan]

[plan tooltip="Recommended" name="Deluxe Sales" price="299" duration="Monthly" btn="" offer_price="269" date="2015-01-31"]
[poption class="available"][/poption]
[poption class="available"][/poption]
[poption class="available"][/poption]
[poption class="not-available"][/poption]
[poption title="5,000"][/poption]
[poption title="25,000"][/poption]
[poption title="4"][/poption]
[/plan]

[plan tooltip="Recommended" name="Deluxe E-Commerce" price="299" duration="Monthly" offer_price="269" date="2015-01-31" btn="" class="special" ]
[poption class="available"][/poption]
[poption class="available"][/poption]
[poption class="not-available"][/poption]
[poption class="available"][/poption]
[poption title="5,000"][/poption]
[poption title="25,000"][/poption]
[poption title="4"][/poption]
[/plan]

[plan tooltip="Best Price" name="Complete" price="379" duration="Monthly" offer_price="299" date="2015-01-31" btn=""]
[poption class="available"][/poption]
[poption class="available"][/poption]
[poption class="available"][/poption]
[poption class="available"][/poption]
[poption title="10,000"][/poption]
[poption title="50,000"][/poption]
[poption title="5"][/poption]
[/plan]

[/price_table_holder]

[kick_section]

[kick_plan name="TURBO" price="797" offer_price="497" date="2015-01-31" id="1" ]
[kpoption title="Online eCourse" ][/kpoption]
[kpoption title="Step By Step Setup Guide" ][/kpoption]
[kpoption title="Triggered Progress Checking" class="last"][/kpoption]
[/kick_plan]

[kick_plan name="SILVER" price="999" id="2" ]
[kpoption title="3 Hours 1-2-1 Strategy Calls" ][/kpoption]
[kpoption title="Access Online TurboStart" ][/kpoption]
[kpoption title="1 imported campaign" class="last"][/kpoption]
[/kick_plan]

[kick_plan name="GOLD" price="1997" id="3" ]
[kpoption title="6 Hours 1-2-1 Strategy Calls" ][/kpoption]
[kpoption title="Access Online TurboStart" ][/kpoption]
[kpoption title="3 imported campaign" class="last"][/kpoption]
[/kick_plan]

[/kick_section]
</code></pre>';
	echo '</div>';
}
/* pricing table */

function  price_table_holder($atts, $inner){
	$content  = '<div class="price-table-holder">';
    $content .= '<div class="row-fluid">';
	$content .= do_shortcode($inner);
	$content .= '</div>';
	$content .= '</div>';
	return $content;
}  
add_shortcode('price_table_holder','price_table_holder');

function  plan_detail($atts, $inner){
	$content  = '<div class="span2">';
    $content .= '<div class="desc-table">';
	$content .= do_shortcode($inner);
	$content .= '</div>';
	$content .= '</div>';
	return $content;
}  
add_shortcode('plan_detail','plan_detail');

function pdoption($atts, $inner) {
	extract(shortcode_atts(array(
            'title' => 400,
            'class' => 200,
                        ), $atts));

	$content  = '<div class="data-holder">';
    $content .= '<i class="'.$class.'"></i>';
	$content .= $title;
	$content .= '</div>';
	return $content;
}  
add_shortcode('pdoption','pdoption');

function  plan($atts, $inner){
	extract(shortcode_atts(array(
            'tooltip' => 400,
            'name' => 200,
			'price' => 200,
			'duration' => 200,
			'offer_price' => '',
			'btn' => '',
			'class' =>'',
			'date'=>'',
                        ), $atts));
	
	if($btn == 'checked')
		$btn_res = 'checked';
	if($class == 'special')	
		$class_res = 'special';
	if(!empty($name))	
		$value =  strtolower(preg_replace('/\s+/','',str_replace('-','',$name)));
		
	if(!empty($date)){
		$edate = Date('Y-m-d', strtotime("".$date."+1 days"));	
		if(time() < strtotime($edate)){
			$date_current = date_create(''.$date.' 00:00:00');
			$date_expire = date_create(''.$edate.' 00:00:00');
			
			$diff = date_diff($date_expire, $date_current);
			$days = $diff->days;
			
			if($days==0)
				$expire = 'true';
			else
				$expire = 'false';
		}
	}
		
	$content  = '<div class="span2">';	
	$content .= '<div class="price-table '.$class.'">';	
	$content .= '<div class="head">';
	if(!empty($offer_price) && !empty($expire) && $expire == 'false'){
	$content .= '<div class="offer-ribbon">
					<img src="'.plugins_url( 'img/ribbon-white-left.png', __FILE__ ).'" />
				</div>';
	}
	if(!empty($class_res))
		$content .= '<div class="head-tooltip" style="top:-23px;">'.$tooltip.'</div>';
	else
		$content .= '<div class="head-tooltip">'.$tooltip.'</div>';
	$content .= '<div class="price-holder">';
	$content .= '<div class="title"><h2>'.$name.'</h2></div>';
	if(!empty($offer_price) && !empty($expire) && $expire == 'false'){
		$content .= '<div class="price">
						<span class="sign">$</span><span class="pdigit">'.$offer_price.'</span>
						<span class="offer"><span class="sign">$</span><span class="pdigit">'.$price.'</span></span>
						<span class="info" data-trigger="hover" data-original-title="Currency Info" 	data-toggle="popover" data-placement="bottom" data-content="This figure is an approximate amount and you will actually be billed US$'.$offer_price.'.00 (instead of $'.$price.'.00) in US Dollars">
						<i class="icon-info-sign" ></i>
					</span>		
					</div>';
		$content .= '<div class="date">Expire On: '.date('jS F Y',strtotime($date)).'</div>';			
	}else{
	$content .= '<div class="price">
					<span class="sign">$</span><span class="pdigit">'.$price.'</span>
					<span class="info" data-trigger="hover"  data-original-title="Currency Info" 	data-toggle="popover" data-placement="bottom" data-content="This figure is an approximate amount and you will actually be billed US$'.$price.'.00 in US Dollars">
						<i class="icon-info-sign" ></i>
					</span>
				</div>';
	
	}
	$content .= '<div class="pay-duration">'.$duration.'</div>';
	$content .= '</div>';
	$content .= '</div>';
	$content .= '<div class="tabled-data">';
	$content .= do_shortcode($inner);
	$content .= '<div class="data-holder">
					 <div class="switch">
						  <input id="'.$name.'" class="cmn-toggle cmn-toggle-round-flat" groupname="group1" type="checkbox" '.$btn_res.' 
						  value="'.$value.'">
						  <label for="'.$name.'"></label>
						  <div class="clearfix"></div>
					 </div>
				</div>'; 
	$content .= '</div>';
	$content .= '</div>';
	$content .= '</div>';
	
	return $content;
}  
add_shortcode('plan','plan');

function poption($atts, $inner) {
	extract(shortcode_atts(array(
            'title' => '',
            'class' => '',
                        ), $atts));
	
	$content  = '<div class="data-holder">';
	if(!empty($class)){	$content .= '<i class="'.$class.'"></i>';}
	if(!empty($title)){$content .= $title;}
	$content .= '</div>';
	
	return $content;
}  
add_shortcode('poption','poption');

/* Kick Start plan */

function kick_section($atts, $inner) {
	
	$content  = '<div class="row-fluid" id="kick">';
    $content .= '<div class="span12">';
	$content .= '<div class="span8 offset2">
				<img src="'.plugins_url( 'img/plan_header.png', __FILE__ ).'"  alt="kick start" style="width:100%;"/><br><br>	
				</div>';		 
	$content .= do_shortcode($inner);
	$content .= '</div>';
	$content .= '</div>';
	
	return $content;
}  
add_shortcode('kick_section','kick_section');

function kick_plan($atts, $inner) {
	extract(shortcode_atts(array(
            'name' => '',
            'price' => '',
			'btn_url' => '',
			'id'=>'',
			'offer_price' => '',
			'date' =>'',
                        ), $atts));
	
	if($id == '1'){
		$offset = 'offset1';
		$price1 = 'price1';
		$btn = 'btn1';
	}
	if($id == '2'){
		$offset = '';
		$price1 = 'price2';
		$btn = 'btn2';
	}
	if($id == '3'){
		$offset = '';
		$price1 = 'price3';
		$btn = 'btn3';
	}	
	
	if(!empty($date)){
		$edate = Date('Y-m-d', strtotime("".$date."+1 days"));	
		if(time() < strtotime($edate)){
			$date_current = date_create(''.$date.' 00:00:00');
			$date_expire = date_create(''.$edate.' 00:00:00');
			
			$diff = date_diff($date_expire, $date_current);
			$days = $diff->days;
			
			if($days==0)
				$expire = 'true';
			else
				$expire = 'false';
		}
	}
	
	$content  = '<div class="span3 '.$offset.'">';
    $content .= '<div class="kick_box">';
	if(!empty($offer_price)&& !empty($expire) && $expire == 'false'){
	$content .= '<div class="offer-ribbon">
					<img src="'.plugins_url( 'img/ribbon-white-right.png', __FILE__ ).'" />
				</div>';
	}			
	$content .= '<div class="price '.$price1.'">';
	if(!empty($offer_price)&& !empty($expire) && $expire == 'false'){
	$content .=		'<div class="digi" >
						<span class="sign">$</span><span class="pdigit">'.$offer_price.'</span>
						<span class="offer"><span class="sign">$</span><span class="pdigit">'.$price.'</span></span>
					</div>';
	}else{
	$content .=		'<div class="digi">
						<span class="sign">$</span><span class="pdigit">'.$price.'</span>
					</div>';
	}				
	$content .=		'<div class="title">
						<span>'.$name.'</span>
					</div>
				</div>';
	$content .= '<div class="tabled-data">';
	if(!empty($offer_price)&& !empty($expire) && $expire == 'false'){
	$content .= '<div class="date-holder">
				   <div class="date">Expire On: '.date('jS F Y',strtotime($date)).'</div>					
				</div>';	
	}
	$content .= do_shortcode($inner);
	$content .= '<div class="data-holder last">
				   <a href="" class="btn '.$btn.' sign-up">BUY NOW</a>
				</div>';
	$content .= '</div>';
	$content .= '<div class="kick_overlay"></div></div>';
	$content .= '</div>';
	
	return $content;
}  
add_shortcode('kick_plan','kick_plan');

function kpoption($atts, $inner) {
	extract(shortcode_atts(array(
            'title' => '',
            'class' => '',
                        ), $atts));
	
	if($class == 'last')
		$class_res = 'last';
		
 	$content  = '<div class="data-holder '.$class_res.'">'.$title.'</div>';
	
	return $content;
}  
add_shortcode('kpoption','kpoption');

function theme_name_scripts() {
	wp_enqueue_style( 'price-table', plugins_url( '/price-table.css', __FILE__ ) );
	wp_enqueue_style( 'price-table', plugins_url( '/fontawesome/css/font-awesome.min.css', __FILE__ ) );
	//wp_enqueue_script( 'script-name', plugins_url( '/price-table.js', __FILE__ ) , array(), '1.0.0', true );
	wp_enqueue_script( 'bootstrap', plugins_url( 'bootstrap.min.js', __FILE__ ) , array(), '1.9.1', true );
	wp_enqueue_script( 'bootstrap-hover', plugins_url( 'bootstrap-popover.js', __FILE__ ) , array(), '1.9.1', true );
	wp_enqueue_script( 'price-table', plugins_url( 'price-table.js', __FILE__ ) , array(), '1.9.1', true );
}


add_action( 'wp_enqueue_scripts', 'theme_name_scripts' );

$ip = $_SERVER['REMOTE_ADDR'];
//$ip ='67.193.201.13'; //CAnada
$ip = '2.31.255.255'; //GBP
//$ip = '1.43.255.255'; // AU
//$ip = '14.100.255.255'; // SG
$country = nation_ads($ip);
//print_r($country);

function nation_ads($ip)
{
	$json       = file_get_contents("http://ipinfo.io/{$ip}");
	$details    = json_decode($json);
	return $details->country;
}
function convertCurrency_yahoo($from,$to){
	$url = 'http://finance.yahoo.com/d/quotes.csv?f=l1d1t1&s='.$from.$to.'=X';
	$handle = fopen($url, 'r');
	if ($handle) {
		$result = fgetcsv($handle);
		fclose($handle);
	}
	return $result[0];
}
$gbp = convertCurrency_yahoo('USD', 'GBP');
$cad = convertCurrency_yahoo('USD', 'CAD');
$aud = convertCurrency_yahoo('USD', 'AUD');
$sgd = convertCurrency_yahoo('USD', 'SGD');
$eur = convertCurrency_yahoo('USD', 'EUR');

function convertCurrency($amount, $from, $to){
	$url  = "https://www.google.com/finance/converter?a=$amount&from=$from&to=$to";
	$data = file_get_contents($url);
	preg_match("/<span class=bld>(.*)<\/span>/",$data, $converted);
	$converted = preg_replace("/[^0-9.]/", "", $converted[1]);

	return round($converted, 3); 
}

function price_table_admin_menu() {
    require_once ABSPATH . '/wp-admin/admin.php';
    add_options_page( 'Price Table', 'Price Table', 'manage_options', 'price-table', 'my_plugin_options' );
}

add_action('admin_menu', 'price_table_admin_menu');
remove_filter('the_content', 'wpautop');
remove_filter('the_excerpt', 'wpautop');
?>
<?php

function add_this_script_footer(){ ?>

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>

		var USD = 1;
		var GBP = '<?= convertCurrency_yahoo('USD', 'GBP') ?>';
		var CAD = '<?= convertCurrency_yahoo('USD', 'CAD') ?>';
		var AUD = '<?= convertCurrency_yahoo('USD', 'AUD') ?>';
		var SGD = '<?= convertCurrency_yahoo('USD', 'SGD') ?>';
		var cn = '<?= nation_ads($_SERVER['REMOTE_ADDR']) ?>'; 
		$(document).ready(function(){
			if($('.pdigit').length > 0){
				$('.info').popover();
				$('.pdigit').each(function () {
					var price = $(this).html();
					
					if(cn === 'GB'){
						jQuery(this).html(Math.ceil(price*GBP));
						jQuery('.sign').html('&pound;');
					} else if(cn === 'CA'){
						
						jQuery(this).html(Math.ceil(price*CAD));
						jQuery('.sign').html('ca$');
					} else if(cn === 'AU'){
						jQuery(this).html(Math.ceil(price*AUD));
						jQuery('.sign').html('au$');
					} else if(cn === 'SG'){
						jQuery(this).html(Math.ceil(price*SGD));
						jQuery('.sign').html('sg$');
					} else if(cn === 'FR'){
						jQuery(this).html(Math.ceil(price*EUR));
						jQuery('.sign').html('&euro;');
					} else if(cn === 'DE'){
						$(this).html(Math.ceil(price*EUR));
						$('.sign').html('&euro;');
					} else if(cn === 'ES'){
						$(this).html(Math.ceil(price*EUR));
						$('.sign').html('&euro;');
					} else if(cn === 'CH'){
						$(this).html(Math.ceil(price*EUR));
						$('.sign').html('&euro;');
					} else if(cn === 'NL'){
						$(this).html(Math.ceil(price*EUR));
						$('.sign').html('&euro;');
					} else {
						$('.info').css('display','none');
					}
					
				});
			
			counter();
			
			// Page scroll when select the version plan
			$('input[type=checkbox]').click(function() {
				
				var groupName = $(this).attr('groupname');
					if (!groupName)
						return;

					var checked = $(this).is(':checked');

					$("input[groupname='" + groupName + "']:checked").each(function() {
						$(this).prop('checked', '');
					});

					if (checked){
						$(this).prop('checked', 'checked');
						
						var plan = $(this).val();
						
						$('.btn1').html('<strong>Buy Now</strong><span>'+$(this).attr('id'));
						$('.btn2').html('<strong>Buy Now</strong><span>'+$(this).attr('id'));
						$('.btn3').html('<strong>Buy Now</strong><span>'+$(this).attr('id'));
						
						$('.btn1').closest('.kick_box').find('.kick_overlay').fadeOut();
						$('.btn2').closest('.kick_box').find('.kick_overlay').fadeOut();
						$('.btn3').closest('.kick_box').find('.kick_overlay').fadeOut();	
						$('.btn1').attr('href', '<?=home_url('/')?>order-'+plan+'-turbo');
						$('.btn2').attr('href', '<?=home_url('/')?>order-'+plan+'-silver');
						$('.btn3').attr('href', '<?=home_url('/')?>order-'+plan+'-gold');	
						
						$('html, body').animate({
							scrollTop: $("#kick").offset().top - 120
						}, 2000);
					}
				});
				
			 $.each($("input[groupname='group1']:checked"), function(){            
				var plan = $(this).val();
				
				$('.btn1').attr('href', '<?=home_url('/')?>order-'+plan+'-turbo');
				$('.btn2').attr('href', '<?=home_url('/')?>order-'+plan+'-silver');
				$('.btn3').attr('href', '<?=home_url('/')?>order-'+plan+'-gold');	 
			});	
			
			}
		});
		function counter(){
			$('.pdigit').each(function () {
				$(this).prop('Counter',0).animate({
					Counter: $(this).text()
				}, {
					duration: 1000,
					easing: 'swing',
					step: function (now) {
						$(this).text(Math.ceil(now));
					}
				});
			});
		}

</script>

<?php } 

add_action('wp_footer', 'add_this_script_footer'); 
?>
